<%
function modal(id) { 
  return `
    <div class="modal fade" id="${id}" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="smallModalLabel">Generate Vouchers</h4>
          </div>
          <form method="POST" >
            <div class="modal-body">
              <div class="form-group form-float">
                <div class="form-line">
                  <input type="number" name="total-vouchers" min="1" required="required" class="form-control" value="1">
                  <label class="form-label">How many voucher codes?</label>
                </div>
              </div>
              <div class="form-group form-float" style="margin-top:25px;">
                <div class="form-line">
                  <input class="form-control" type="text" name="time" required="required" pattern="[0-9]{1,}:[0-5]{1}[0-9]{1}" title="HH:MM" value="00:30" />
                  <label class="form-label">Time (HH:MM)</label>
                </div>
              </div>
            </div>
            <div class="modal-footer"><button class="btn btn-link waves-effect" type="submit" name="generate-vouchers" value="1">Submit</button><button class="btn btn-link waves-effect" type="button" data-dismiss="modal">CLOSE  </button></div>
          </form>
        </div>
      </div>
    </div>
  `; 
}
%>
<style>
  .voucher-wrapper {
    overflow: auto;
  }
  .dataTables_filter {
    float:left;
  }
  .table.table-bordered.dataTable {
    width: 100%!important;
    border-collapse:collapse!important;
  }
</style>
<div class="voucher-wrapper">
  <table class="vouchers table table-bordered table-striped table-hover dataTable" data-order="[]">
    <thead>
      <tr>
        <th width="100px" rowspan="2">Code</th>
        <th width="100px" rowspan="2">Status</th>
        <th colspan="2" class="align-center">Limits</th>
        <th width="200px" rowspan="2" class="date">Created</th>
        <% //<th width="200px" rowspan="2">Expiry</th> %>
        <th rowspan="2"  data-orderable="false">Actions</th>
      </tr>
      <tr>
        <th width="100px" class="time">Time</th>
        <th width="100px" class="data">Data Capped</th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <td colspan="6">
          <button type="button" class="btn btn-block bg-grey waves-effect btn-sm" data-toggle="modal" data-target="#generateVouchers">
            <i class="material-icons">add_alert</i>
            <span>Generate Vouchers &nbsp;</span>
          </button>
          <%- modal('generateVouchers'); %>
        </td>
      </tr>
    </tfoot>
    <tbody>
      <% if ( vouchers.length ) { %>
        <% 
        var status = ['unused', 'used'];
        vouchers.forEach(function( voucher ) { %>
          <tr>
            <td><%- voucher.code %></td>
            <td><%- status[voucher.status] %></td>
            <td><%- voucher.time %></td>
            <td><%- voucher.datacap %></td>
            <td data-order="<%- (new Date(voucher.createdAt)).getTime() %>"><%- voucher.createdAt %></td>
            <% //<td>--</td> %>
            <td></td>
          </tr>
        <% }) %>
      <% } %>
    </tbody>        
  </table>
</div>
<!-- <pre>
<%- JSON.stringify(vouchers, null, 2) %>
</pre> -->